Bug 65592 - icon stays on desktop after unmounting cdrom
icon stays on desktop after unmounting cdrom
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: nautilus (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-28 05:45 EDT by Pierre Francois
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-28 05:45:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre Francois 2002-05-28 05:45:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
when /dev/cdrom and /dev/cdrom1 both contain at the same time a CDROM with an 
identic label, if you unmount /dev/cdrom1, the icon of the mounted CDROM 
remains however on the screen until you logout, and everytime you try to mount 
or umount rightclicking on that icon, a message box appears issued by nautilus 
saying it is unable to mount/unmount the volume.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. in a machine containing two CD drives and running sawfish window manager, 
insert two CD's with the same label, 2 icons appear when the discs are mounted;
2. eject both CD's rightclicking on the icon of the mounted disc;


Actual Results:  one of the 2 icons remain on the desktop until you log out, 
however the disc is unmounted. That icon is useless: you can't perform any 
operation on it: opening, unmounting, etc. Each time you repeat steps 1 and 2, 
you will have a new useless copy of that icon.


Expected Results:  The icon corresponding to an unmounted volume should 
disappear from the desktop

Additional info:

it happens only with the icon corresponding to /dev/cdrom1, i.e. the second CD 
drive.
Comment 1 Havoc Pennington 2002-06-09 10:37:02 EDT
Sent upstream as http://bugzilla.gnome.org/show_bug.cgi?id=84656

We will pull down any upstream fix. You may want to add yourself to the "cc" 
line on that gnome.org bug.

Note You need to log in before you can comment on or make changes to this bug.